package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.UserGroupMemberPO;
import mhp.oee.po.gen.UserGroupMemberPOExample;

public interface UserGroupMemberPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table user_group_member
     *
     * @mbggenerated
     */
    int countByExample(UserGroupMemberPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table user_group_member
     *
     * @mbggenerated
     */
    int deleteByExample(UserGroupMemberPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table user_group_member
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table user_group_member
     *
     * @mbggenerated
     */
    int insert(UserGroupMemberPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table user_group_member
     *
     * @mbggenerated
     */
    int insertSelective(UserGroupMemberPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table user_group_member
     *
     * @mbggenerated
     */
    List<UserGroupMemberPO> selectByExample(UserGroupMemberPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table user_group_member
     *
     * @mbggenerated
     */
    UserGroupMemberPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table user_group_member
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") UserGroupMemberPO record, @Param("example") UserGroupMemberPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table user_group_member
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") UserGroupMemberPO record, @Param("example") UserGroupMemberPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table user_group_member
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(UserGroupMemberPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table user_group_member
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(UserGroupMemberPO record);
}